Subject: Re: [BEHAVE] IPv4/IPv6 relayed address allocation

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 04 Jun 2008 10:25:12 +0300

Hi,

the details to be specified do not seem to be many. The relay would need 
to drop IP (v4 and v6) options and the IPv6 flow label. What else do you 
have in mind?

Thanks,

Gonzalo

Philip Matthews wrote:
> I really haven't spent any time thinking about it, but I am assuming 
> that the details of IPv4-to-IPv6 relaying will take a few pages to 
> specify, and there will be some design decisions to discuss, which will 
> take time. Because of this assumption, I am trying to push it out of the 
> base TURN spec. But perhaps I am wrong. Perhaps you would take a look 
> and let me know?
> 
> - Philip
> 
> On Wed, 7-May-08, at 23:55 , Gonzalo Camarillo wrote:
>> Hi,
>>
>> I think we all agree this should be the behavior for clients and 
>> servers. However, if we move all the meat from TURN-IPv6 to base TURN 
>> (we already moved the address family definition a while ago), it may 
>> make sense to merge both specs. Specifying the IPv4-IPv6 mapping may 
>> not be trivial, but it's not a big deal either.
>>
>> The bottom line is that we are discussing an issue related to document 
>> structure. We seem to agree on the actual protocol behavior.
>>
>> Cheers,
>>
>> Gonzalo
>>
>>
>> Philip Matthews wrote:
>>> On Wed, 7-May-08, at 15:44 , Gonzalo Camarillo wrote:
>>>> Hi,
>>>>
>>>>> If the base TURN spec does not include the REQUESTED-ADDRESS-TYPE 
>>>>> attribute, then we have to go with option (1). However, Remi 
>>>>> prefers option (2).
>>>>
>>>> but... what is the advantage of going with option 2?
>>> Under option (1), a client sending an Allocate request over IPv4 
>>> might get back an IPv6 relayed-transport-address, if the Allocate 
>>> request passed through a v4-to-v6 translator (as is currently being 
>>> considered in v6OPS). If the client is unable to handle this, it must 
>>> delete the allocation.
>>> Under option (2), a client sending an Allocation request over IPv4 
>>> can explicitly say that it wants an IPv4 relayed-transport-address. 
>>> Thus, if the Allocate request passes through a v4-to-v6 translator, 
>>> the server will detect that the request arrived over v6 but was for a 
>>> v4 relayed-transport-address, and thus reject the request.
>>> - Philip
>>
>>
> 
> 

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave